export = Bridge;
declare class Bridge extends Extension {
    constructor(zigbee: any, mqtt: any, state: any, publishEntityState: any, eventBus: any, enableDisableExtension: any, restartCallback: any);
    enableDisableExtension: any;
    restartCallback: any;
    lastJoinedDeviceIeeeAddr: any;
    restartRequired: boolean;
    requestLookup: {
        'device/options': any;
        'device/configure_reporting': any;
        'device/remove': any;
        'device/rename': any;
        'group/add': any;
        'group/options': any;
        'group/remove': any;
        'group/rename': any;
        permit_join: any;
        restart: any;
        'touchlink/factory_reset': any;
        'touchlink/identify': any;
        'touchlink/scan': any;
        health_check: any;
        options: any;
        'config/last_seen': any;
        'config/homeassistant': any;
        'config/elapsed': any;
        'config/log_level': any;
    };
    onMQTTConnected(): Promise<void>;
    zigbee2mqttVersion: {
        commitHash: string;
        version: string;
    };
    coordinatorVersion: any;
    permitJoinChanged(data: any): void;
    setupMQTTLogging(): void;
    onMQTTMessage(topic: any, message: any): Promise<void>;
    onZigbeeEvent(type: any, data: any, resolvedEntity: any): Promise<void>;
    /**
     * Requests
     */
    deviceOptions(message: any): Promise<{
        data: unknown;
        status: string;
        error?: string;
        transaction?: string;
    }>;
    groupOptions(message: any): Promise<{
        data: unknown;
        status: string;
        error?: string;
        transaction?: string;
    }>;
    bridgeOptions(message: any): Promise<{
        data: unknown;
        status: string;
        error?: string;
        transaction?: string;
    }>;
    deviceRemove(message: any): Promise<{
        data: unknown;
        status: string;
        error?: string;
        transaction?: string;
    }>;
    groupRemove(message: any): Promise<{
        data: unknown;
        status: string;
        error?: string;
        transaction?: string;
    }>;
    healthCheck(message: any): Promise<{
        data: unknown;
        status: string;
        error?: string;
        transaction?: string;
    }>;
    groupAdd(message: any): Promise<{
        data: unknown;
        status: string;
        error?: string;
        transaction?: string;
    }>;
    deviceRename(message: any): Promise<{
        data: unknown;
        status: string;
        error?: string;
        transaction?: string;
    }>;
    groupRename(message: any): Promise<{
        data: unknown;
        status: string;
        error?: string;
        transaction?: string;
    }>;
    restart(message: any): Promise<{
        data: unknown;
        status: string;
        error?: string;
        transaction?: string;
    }>;
    permitJoin(message: any): Promise<{
        data: unknown;
        status: string;
        error?: string;
        transaction?: string;
    }>;
    configLastSeen(message: any): {
        data: unknown;
        status: string;
        error?: string;
        transaction?: string;
    };
    configHomeAssistant(message: any): {
        data: unknown;
        status: string;
        error?: string;
        transaction?: string;
    };
    configElapsed(message: any): {
        data: unknown;
        status: string;
        error?: string;
        transaction?: string;
    };
    configLogLevel(message: any): {
        data: unknown;
        status: string;
        error?: string;
        transaction?: string;
    };
    touchlinkIdentify(message: any): Promise<{
        data: unknown;
        status: string;
        error?: string;
        transaction?: string;
    }>;
    touchlinkFactoryReset(message: any): Promise<{
        data: unknown;
        status: string;
        error?: string;
        transaction?: string;
    }>;
    touchlinkScan(message: any): Promise<{
        data: unknown;
        status: string;
        error?: string;
        transaction?: string;
    }>;
    /**
     * Utils
     */
    getValue(message: any): any;
    changeEntityOptions(entityType: any, message: any): Promise<{
        data: unknown;
        status: string;
        error?: string;
        transaction?: string;
    }>;
    deviceConfigureReporting(message: any): Promise<{
        data: unknown;
        status: string;
        error?: string;
        transaction?: string;
    }>;
    renameEntity(entityType: any, message: any): {
        data: unknown;
        status: string;
        error?: string;
        transaction?: string;
    };
    removeEntity(entityType: any, message: any): Promise<{
        data: unknown;
        status: string;
        error?: string;
        transaction?: string;
    }>;
    getEntity(type: any, ID: any): any;
    publishInfo(): Promise<void>;
    publishDevices(): Promise<void>;
    publishGroups(): Promise<void>;
    getDefinitionPayload(definition: any, resolvedDevice: any): {
        model: any;
        vendor: any;
        description: any;
        exposes: any;
        supports_ota: boolean;
        icon: any;
    };
}
import Extension = require("./extension");
//# sourceMappingURL=bridge.d.ts.map